Package ru.bitel.bgbilling.modules.ipn.server.bean

# Class ManadUtils

java.lang.Object
ru.bitel.bgbilling.modules.ipn.server.bean.ManadUtils

    @Deprecated
    public class ManadUtils
    extends java.lang.Object

Deprecated.
Использовать `GateCommandUtil`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `ManadUtils()` | Deprecated.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static java.lang.String` | `generateRule​(java.lang.String ruleText, java.lang.String addressList, java.util.Map<java.lang.String,​java.lang.String> replacements, RuleType ruleType)` | Deprecated.
  `static java.lang.String` | `generateRule​(java.lang.String ruleText, java.util.Map<java.lang.String,​java.lang.String> replacements, RuleType ruleType, java.util.List<LoopPattern> loops)` | Deprecated.
  `static java.util.List<LoopPattern>` | `getAddresLoops​(java.lang.String addressList)` | Deprecated. строку адреса преобразует в 2 LoopPattern-а : для диапазонов и сетей
  `static java.lang.String` | `getRule​(GateType gateType, RuleType ruleType)` | Deprecated.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ManadUtils

    public ManadUtils()
    Deprecated.

- ## Method Details

  - ### generateRule

    public static final java.lang.String generateRule​(java.lang.String ruleText, java.lang.String addressList, java.util.Map<java.lang.String,​java.lang.String> replacements, RuleType ruleType)
    Deprecated.

  - ### getAddresLoops

    public static java.util.List<LoopPattern> getAddresLoops​(java.lang.String addressList)
    Deprecated.
    строку адреса преобразует в 2 LoopPattern-а : для диапазонов и сетей
    Parameters:
      `addressList` -
    Returns:

  - ### generateRule

    public static final java.lang.String generateRule​(java.lang.String ruleText, java.util.Map<java.lang.String,​java.lang.String> replacements, RuleType ruleType, java.util.List<LoopPattern> loops)
    Deprecated.

  - ### getRule

    public static java.lang.String getRule​(GateType gateType, RuleType ruleType)
    Deprecated.